Đến nội dung


Hình ảnh

Cần help convert text - Mtext


  • Please log in to reply
12 replies to this topic

#1 calendar08

calendar08

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 July 2011 - 01:29 PM

Như các bạn đã biết ở tiêu đề trên, mình cần chuyển số lượng nhiều Text -> Mtext
Yêu cầu:
1. Vị trí không thay đổi
2. Các hướng quay của text không bị quay đi sau khi chuyển.
3. Làm 1 phát ăn ngay với nhiều text ^^


Mình thử qua TXT2MTEXT trong express mà ko ăn thua.

Nhờ các bác chỉ cách, hay bác nào giúp lisp thì tuyệt quá.:)

Mình đang cần gấp.

Rất cảm ơn sự trợ giúp của mọi người.
  • 0

#2 calendar08

calendar08

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 July 2011 - 02:10 PM

Ai cứu với :((
  • 0

#3 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 26 July 2011 - 02:17 PM

Như các bạn đã biết ở tiêu đề trên, mình cần chuyển số lượng nhiều Text -> Mtext
Yêu cầu:
1. Vị trí không thay đổi
2. Các hướng quay của text không bị quay đi sau khi chuyển.
3. Làm 1 phát ăn ngay với nhiều text ^^


Mình thử qua TXT2MTEXT trong express mà ko ăn thua.

Nhờ các bác chỉ cách, hay bác nào giúp lisp thì tuyệt quá.:)

Mình đang cần gấp.

Rất cảm ơn sự trợ giúp của mọi người.

Hề hề hề,
Có phải bạn muốn cái này không??? Nó cũng sử dụng txt2mtxt của express tools đấy. Tuy nhiên cách dùng hơi khác mà thôi.

(defun c:t2m (/ slt txt )
(vl-load-com)
(command "undo" "be")
(alert "\n Hay chon cac text can chuyen thanh mtext")
(setq slt (acet-ss-to-list (ssget (list (cons 0 "text")))))
(foreach txt slt
(command "txt2mtxt" txt "")
)
(command "undo" "e")
(princ)
)

Hề hề hề, nếu bạn thấy chưa ưng thì hãy post rõ cái chỗ chưa ưng lên nhé.
Chúc bạn vui.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#4 calendar08

calendar08

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 July 2011 - 02:37 PM

Hề hề hề,Có phải bạn muốn cái này không??? Nó cũng sử dụng txt2mtxt của express tools đấy. Tuy nhiên cách dùng hơi khác mà thôi.

(defun c:t2m (/ slt txt )(vl-load-com)(command "undo" "be")(alert "\n Hay chon cac text can chuyen thanh mtext")(setq slt (acet-ss-to-list (ssget (list (cons 0 "text")))))(foreach txt slt(command "txt2mtxt" txt ""))(command "undo" "e")(princ))
Hề hề hề, nếu bạn thấy chưa ưng thì hãy post rõ cái chỗ chưa ưng lên nhé.Chúc bạn vui.

Thanks bạn nhìu nha. Dưới là vấn đề nè.

Đây là nguyên bản trc khi dùng lisp của bạn
Hình đã gửi
Và đây là sau khi dùng lisp
Hình đã gửi
Mình cần là sau khi dùng lisp các text được chuyển giữ đc vị trí như ở hình 1.

Thanks bạn rất nhiều:)
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 28 July 2011 - 11:19 PM

Có lẽ cái này bạn dùng tạm được. Srr vì code không chính thống nên để trong VLX :P
Lệnh : t2mt
Text to Mtext
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 vantuan18nd

vantuan18nd

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 29 March 2014 - 09:57 AM

Giúp mình chuyển toàn bộ Mtext thành Text với

Mình dùng lisp mà nó cứ báo giá trị bạn chọn không phải là số thôi. hic


  • 0

#7 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 29 March 2014 - 10:00 AM

Giúp mình chuyển toàn bộ Mtext thành Text với

Mình dùng lisp mà nó cứ báo giá trị bạn chọn không phải là số thôi. hic

MTEXT thành TEXT: dùng lệnh X.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#8 vantuan18nd

vantuan18nd

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 29 March 2014 - 10:18 AM

MTEXT thành TEXT: dùng lệnh X.

Còn cách nào khác không ah. cái này thì em biết rồi, nhưng khi X ra thì các đường pline nó lại biến hết thành line, em không muốn thế


  • 0

#9 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 29 March 2014 - 04:44 PM

Chỉ chọn Mtext thôi, sao lại dính Pline vào ^^


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#10 vantuan18nd

vantuan18nd

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: -3 (bình thường)

Đã gửi 29 March 2014 - 09:11 PM

Chỉ chọn Mtext thôi, sao lại dính Pline vào ^^

Tại bản vẽ nhiều số : Không thể chọn từng Mtext được; buộc phải chọn toàn bộ đối tượng trong bản vẽ; Với lại bản vẽ của em nó bị khóa layer kiểu gì ý, khi chọn layoff hay layiso thì tnos chỉ tối đi thôi chứ không ẩn đi


  • 0

#11 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5450 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 29 March 2014 - 09:51 PM

Quá chán!


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#12 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 29 March 2014 - 09:53 PM

Còn cách nào khác không ah. cái này thì em biết rồi, nhưng khi X ra thì các đường pline nó lại biến hết thành line, em không muốn thế

 

:) :) :)

Lại dùng lệnh Pe để convert tất cả các Line thành Pline

Command: pe PEDIT Select polyline or [Multiple]: m
Select objects: Specify opposite corner: 17 found
Select objects:
Convert Lines and Arcs to polylines [Yes/No]? <Y>
Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: j
Join Type = Extend
Enter fuzz distance or [Jointype] <0.0000>:
14 segments added to 3 polylines


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#13 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 30 March 2014 - 08:14 AM

Quá chán!

(y)


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC